openssl_verify
openssl_x509_checkpurpose
Fonctions OpenSSL
PHP Manual

# openssl_x509_check_private_key

(PHP 4 >= 4.2.0, PHP 5)

openssl_x509_check_private_key — Vérifie si une clé privée correspond à un certificat

### Description

bool openssl_x509_check_private_key ( mixed `$cert` , mixed `$key` )

Vérifie si le paramètre `key` fourni est la clé privée qui correspond à `cert`.

### Liste de paramètres

`cert`

  Le certificat.

`key`

  La clé privée.

### Valeurs de retour

Retourne `TRUE` si `key` est la clé privée qui correspond à `cert`, ou `FALSE` sinon.

openssl_verify
openssl_x509_checkpurpose
Fonctions OpenSSL
PHP Manual